package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumCreditLockedStatus {

    OPEN(0, "正常"),
    CLOSE(1, "锁定"),;

    public static EnumCreditLockedStatus getEnum(Integer code) {
        for (EnumCreditLockedStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCreditLockedStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
